Cách sửa lisp trong cad

     
Nếu các bạn đã từng vẽ CAD hẳn vẫn thấy buốn chán bởi một trong những lệnh cứ đọng bắt buộc có tác dụng đi làm lại, chán nản cực kì. Thực ra bọn họ hoàn toàn rất có thể tạo ra phần nhiều tệp tin LISP hỗ trợ cho công việc tiện lợi rộng. Tôi xin hướng dẫn nhằm các bạn mới làm thân quen hoàn toàn có thể tự mình tạo ra tệp tin LISPhường của riêng biệt mình (các cao thủ bao gồm ghé thăm xin sản phẩm lỗi mang đến em múa "dìu" qua đôi mắt thợ nhé!).
Hiện tại những phiên phiên bản cad bắt đầu có thêm phầm mềm lập trình LISPhường, mặc dù các chúng ta cũng có thể thực hiện bất kể một trình soạn thảo văn uống phiên bản làm sao để tạo thành tệp tin LISP, sau khi tạo ra kết thúc các bạn giữ file lại dưới dạng đuôi *.LSP là rất có thể load vào cad để dùng được tức thì (theo tôi cùng với những tệp tin dễ dàng và đơn giản thì tốt nhất là sử dụng Notepad của Windown mang đến nhanh!).
Tải miễn giá tiền phần mềm Auto lớn CAD năm ngoái Crack trên đây:

Xin giới thiệu phía trên 2 ví dụ nạm thể:




Bạn đang xem: Cách sửa lisp trong cad


Xem thêm: Giải Toán Lớp 5 Ôn Tập Về Tính Chu Vi, Diện Tích Một Số Hình

1. Đổi mầu mang lại đối tượng:Trong quy trình vẽ, Khi hy vọng đổi mầu một đối tượng, bạn cũng có thể sử dụng lệnh "change", tiếp nối lựa chọn tùy chọn properties, rồi chọn c (color), rồi chọn số từ bỏ 0 đến 255. Với một color định trước, ta hoàn toàn có thể rút ngắn quá trình này lại bằng một mẫu lệnh duy nhất:(defun C:C1 (/ gp) (setq gp (ssget)) (commvà "change" gp "" "p" "c" "1" "" ))Xin lý giải một chút nhằm chúng ta cố kỉnh được nhỏng sau:- Đóng msống ngoặc "()": trong ngôn ngữ LISPhường, hầu hết dữ liệu chuyển vào gần như yêu cầu bên trong ngoặc, các lần msinh hoạt đóng góp ngoặc đã màn biểu diễn trả trỉnh một chuỗi lệnh. Một chế độ số 1, mnghỉ ngơi ngoặc từng nào lần thì đề xuất đóng từng ấy lần.- defun: câu lệnh bước đầu cho một chuỗi làm việc mới:- C:C1: tại đây tất cả 2 phần "C:" là phần diễn đạt lệnh sẽ được đưa vào từ chiếc lệnh command của cad. Sau lốt nhì chnóng "C1" là cam kết hiệu cơ mà bạn sẽ gõ để bắt đầu quá trình làm việc trên mẫu lệnh Commvà (xem xét ko được đặt trùng với những lệnh khác của cad để tránh trùng lệnh, rắc rối) - C1 tại chỗ này vì chưng bản thân từ bỏ đặt với ý nghĩa là color 1 (màu đỏ), các đối tượng người dùng khi sử dụng lệnh này sẽ tiến hành biến thành màu đỏ.- (/ gp): đấy là phần knhị báo thay đổi số, trong phần này chỉ sử dụng 1 đổi mới số dồn phần lựa chọn đối tượng người dùng là "gp".- setq: là lệnh gán đến phát triển thành hàng đầu cực hiếm làm sao đó.- ssget: là lệnh được cho phép người dùng chọn nhiều đối tượng một thời điểm.- (setq gp (ssget)): là 1 trong những câu lệnh hoàn hảo có thể chấp nhận được người tiêu dùng lựa chọn một nhóm đối tượng và gán nhóm đối tượng đó vào đổi mới số gp (thay đổi này hoàn toàn có thể biến hóa tùy ý người tiêu dùng, chỉ việc knhì báo thống duy nhất từ đầu - tại chỗ này mang đến gp là chữ viết tắt của trường đoản cú group).- (commvà "change" gp "" "p" "c" "1" ""): đó là câu lệnh vào đó: command: lệnh bắt đầu được thực thi; "change": lệnh cần phải tiến hành (luôn luôn được đặt trong ngoặc kép); gp: đội đối tượng người sử dụng sẽ chọn; "" (lốt đóng mnghỉ ngơi ngoặc kép): tương xứng với nhấn phím Enter hoặc Space; "p": chọn tùy lựa chọn properties vào lệnh change; "c": chọn tùy lựa chọn color trong tùy chọn properties trong lệnh change; "1": gán color hàng đầu (red) cho đội đối tượng; "": tương ứng cùng với nhấn phím Enter hoặc Space - xong xuôi lệnh change.vì thế bọn họ có một lệnh hoàn hảo nhằm đổi màu một nhóm đối tượng người dùng bất kỳ sang màu số 1 (đỏ). Tương tự như vậy các bạn cũng có thể đổi khác cho các color tiếp theo (bỏ ra Việc copy, paste với thay đổi 1 chút), vi dụ:(defun C:CBL (/ gp) (setq gp (ssget)) (comm& "change" gp "" "p" "c" "l" "" ));màu sắc theo lớp - by Layer(defun C:CBB (/ gp) (setq gp (ssget)) (command "change" gp "" "p" "c" "b" "" ));màu sắc theo kân hận - by Block(defun C:C2 (/ gp) (setq gp (ssget)) (commvà "change" gp "" "p" "c" "2" "" ));màu vàng(defun C:C4 (/ gp) (setq gp (ssget)) (comm& "change" gp "" "p" "c" "4" "" ));màu xanh lá cây nước biểnSau kia chúng ta bảo quản file bên dưới dạng *.LISPhường, vậy là đang tất cả tệp tin LISPhường hoàn chỉnh và load vào cad nhằm chạy đươc. Mình gửi kèm file trả chình của bản thân nhằm chúng ta tham khảo dưới.Tương trường đoản cú cùng với lệnh change, những chúng ta có thể tạo thành những lệnh biến đổi chiều cao (thickness), các loại nét (linetyper),..

2. Đưa một đội nhóm đối tượng sẽ gồm vào 1 lớp (mang tên đặt trước theo quy ước), giả dụ lớp này chưa xuất hiện thì tạo ra lớp đó rồi gửi đội đối tượng vào:Trong quá trình vẽ CAD, nhằm các bản vẽ được thống duy nhất người vẽ nên được đặt thương hiệu các lớp một biện pháp thống duy nhất. Tuy nhiên, từng lẫn ban đầu một phiên bản vẽ bắt đầu hoặc sẽ vào quy trình vẽ, hy vọng tạo một hệ thống những layer theo như đúng quy tắc đã đề ra thỉnh thoảng siêu mất công. Để sút bơt sự buồn rầu này ta hoàn toàn có thể dựa vào câu lệnh sau:(defun C:LTE (/ gp)(setq gp (ssget)) (command "-layer" "m" "Text_140" "c" "140" "Text_140" "") (command "change" gp "" "p" "la" "Text_140" "") (comm& "-layer" "s" "0" "") )Thành phần kết cấu của câu lệnh ko không giống gì các đối với câu lệnh tại đoạn một, mình chỉ phân tích và lý giải sơ qua nhỏng sau:loại lệnh 1: vẫn luôn là đặt ký tự lệnh, khai báo trở thành với lựa chọn nhóm đối tượng;mẫu lệnh 2: tạo nên lớp cùng với tên là Text_140, màu sắc 140;mẫu lệnh 3: gửi team đối tượng người sử dụng đã có lựa chọn vào lớp vừa tạo;dòng lệnh 4: đặt lớp vẽ mang định quay trở về layer 0.Có mấy chú ý nho nhỏ tuổi sau:- Dấu trừ (-) nằm trước một số trong những lệnh vào cad ("-layer") chất nhận được người dùng thao tác lệnh qua loại lệnh comm& nhưng mà ko yêu cầu thông qua vỏ hộp hội thoại.- Tên lớp (Text_140) là tên gọi vì chưng bản thân tư đặt, các chúng ta cũng có thể đổi khác tùy ý.- Nếu ko ý muốn trsống về lớp 0 (layer 0) thì xóa sổ loại đồ vật 4.Có thể tham khảo thêm file của mình đi cùng dưới.Không quá cực nhọc nhằm làm cho mình file LISPhường nhằm Ship hàng các bước được tiện lợi rộng. Chúc các bạn new khám phá thành công xuất sắc
*
!
Chuyên mục: Kiến thức thú vị